plot.twilight {twilight} | R Documentation

## Plot function for twilight objects

### Description

Interface to plotting of `twilight` objects. Produces one of five possible plots.

### Usage

    ## S3 method for class 'twilight':
    plot(x, which = NULL, grayscale = FALSE, legend = TRUE, ...)

### Arguments

`x` | An object of class twilight.
`which` | A character string specifying the plot to be made.
`grayscale` | Logical value. Specifying whether plots should be colored or grayscaled. Only necessary for "scores" and "fdr".
`legend` | Logical value. Produces a legend for "scores" and "effectsize". A legend for "fdr" is only available if bootstrap estimates exist.
`...` | Additional graphical arguments.

### Details

Option `which="scores"` plots the expected versus the observed test statistics and draws confidence lines calculated from permutations. This plot is similar to plots in Tusher et al. (2001).

Option `which="qvalues"` plots q-values versus the number of rejected hypotheses.

Option `which="fdr"` plots p-values versus 1 - local false discovery rate, that is the conditional probability of being significant given the corresponding p-value, plus bootstrap estimates if computed. Bottom ticks are 1%-quantiles of p-values.

Option `which="volcano"` results in the volcano plot, that is observed score versus 1 - local false discovery rate. Bottom ticks are 1%-quantiles of scores.

Option `which="effectsize"` plots the observed fold change equivalent score distribution overlaid by the estimated effect size distribution, that is distribution of scores under the alternative. This plot is only available if function `twilight.pval` was applied with `method="fc"` as fold change equivalent scores are computed from log ratios.

Option `which="table"` tabulates histogram `"effectsize"`.

### Value

No value is returned except for "table".

### Author(s)

Stefanie Scheid http://www.molgen.mpg.de/~scheid

### References

Scheid S and Spang R (2004): A stochastic downhill search algorithm for estimating the local false discovery rate, IEEE TCBB 1(3), 98–108.

Scheid S and Spang R (2005): twilight; a Bioconductor package for estimating the local false discovery rate, Bioinformatics 21(12), 2921–2922.

Scheid S and Spang R (2006): Permutation filtering: A novel concept for significance analysis of large-scale genomic data, in: Apostolico A, Guerra C, Istrail S, Pevzner P, and Waterman M (Eds.): Research in Computational Molecular Biology: 10th Annual International Conference, Proceedings of RECOMB 2006, Venice, Italy, April 2-5, 2006. Lecture Notes in Computer Science vol. 3909, Springer, Heidelberg, pp. 338-347.

Tusher VG, Tibshirani R and Chu G (2001): Significance analysis of mircroarrays applied to the ionizing response, PNAS 98(9), 5116–5121.

### See Also

`twilight.pval`, `twilight`

### Examples

    ### contains a twilight object created by function twilight
    data(exfdr)
    plot(exfdr)

[Package twilight version 1.20.0 Index]